<?php
namespace application\models\hclinica\tables;

class Domicilio
{
    public $idDomicilio=null;
    public $calle="";
    public $noExt="";
    public $noInt="";
    public $localidad="";
    public $colonia="";
    public $municipio="";
    public $estado="";
    public $codigoPostal="";
    public $referencia="";
    
    public function __construct($post=null)
    {
        if($post!=null)
        {
            foreach ($post as $key=>$value)
            {
                $this->__set($key, $value);
            }
        }
    }
    public function __get($name)
    {
        if (property_exists(__CLASS__, $name)) {
            return $this->$name;
        }
        return NULL;
    }
    public function __set($name, $value)
    {
        //$this->$name=$value;
        if (property_exists(__CLASS__,$name))
        {
            $this->$name = $value;
        }
    }
    public static function tipo(){
        __CLASS__;
    }
}

